[tor-commits] [tor/master] Merge remote-tracking branches 'teor/issue-13161-test-network' and 'teor/issue-13161-TestingDirAuthVoteExit'
nickm at torproject.org
nickm at torproject.org
Wed Oct 8 19:47:33 UTC 2014
commit cc5571e1f1e4d61d584fe20959b686d798bb7691
Merge: 40375fb bae7334 27f3004
Author: Nick Mathewson <nickm at torproject.org>
Date: Wed Oct 8 15:46:29 2014 -0400
Merge remote-tracking branches 'teor/issue-13161-test-network' and 'teor/issue-13161-TestingDirAuthVoteExit'
changes/bug13161-test-network-echo-n | 3 +++
changes/feature13161-TestingDirAuthVoteExit | 7 +++++++
changes/feature13161-test-network-delay-option | 4 ++++
doc/tor.1.txt | 9 +++++++++
src/or/config.c | 1 +
src/or/dirserv.c | 15 +++++++++++----
src/or/or.h | 4 ++++
src/test/test-network.sh | 12 +++++++++---
8 files changed, 48 insertions(+), 7 deletions(-)
diff --cc src/test/test-network.sh
index fb33842,4fe4e63,7b59864..d28fbde
--- a/src/test/test-network.sh
+++ b/src/test/test-network.sh
@@@@ -39,14 -45,9 -39,9 +45,14 @@@@ PATH="$TOR_DIR/src/or:$TOR_DIR/src/tool
# Sleep some, waiting for the network to bootstrap.
# TODO: Add chutney command 'bootstrap-status' and use that instead.
- -BOOTSTRAP_TIME=18
- -echo -n "$myname: sleeping for $BOOTSTRAP_TIME seconds"
+ +BOOTSTRAP_TIME=${BOOTSTRAP_TIME:-18}
+ +$ECHO_N "$myname: sleeping for $BOOTSTRAP_TIME seconds"
n=$BOOTSTRAP_TIME; while [ $n -gt 0 ]; do
- - sleep 1; n=$(expr $n - 1); echo -n .
+ + sleep 1; n=$(expr $n - 1); $ECHO_N .
done; echo ""
./chutney verify $CHUTNEY_NETWORK
++VERIFY_EXIT_STATUS=$?
++# work around a bug/feature in make -j2 (or more)
++# where make hangs if any child processes are still alive
++./chutney stop $CHUTNEY_NETWORK
++exit $VERIFY_EXIT_STATUS
More information about the tor-commits
mailing list